[Bioperl-l] BLASTXML changes (good this time!)

Chris Fields cjfields at uiuc.edu
Wed Feb 14 09:42:05 EST 2007


On Feb 14, 2007, at 8:08 AM, Sendu Bala wrote:

> Chris Fields wrote:
>>
>> On Feb 9, 2007, at 4:40 PM, Sendu Bala wrote:
>>
>>> Chris Fields wrote:
>>>> If Sendu is out there, I think we can safely remove any  
>>>> dependencies
>>>> beyond XML::SAX 0.15 for the next release.  Should I go ahead and
>>>> modify Build.PL?
>>>
>>> Sure, good to hear.
>>
>> I added a version dependency for XML::SAX (v. 0.15) for the PurePerl
>> fix.  That likely obviates the need for a Bundle for XML::Simple.   
>> Not
>> too pressing; we can determine that before the next release.
>
> The bundle is now obsolete. Does anything in Bioperl, or any of its
> dependencies, now make use of the expat library? If not, I can remove
> mention of it from the install documentation.

I'll try getting something up about XML::SAX on the wiki today.   
XML::Parser, though, still requires expat AFAIK:

http://www.bioperl.org/wiki/BioPerl_Dependencies

chris


More information about the Bioperl-l mailing list